> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hightouch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Destination

> Retrieve a destination based on its Hightouch ID



## OpenAPI

````yaml https://api.hightouch.io/api/swagger.json get /destinations/{destinationId}
openapi: 3.0.0
info:
  title: Hightouch API
  version: 1.0.0
  description: Hightouch Public Rest API to access syncs, models, sources and destinations
  contact:
    name: Hightouch
    url: https://hightouch.com
servers:
  - url: https://api.hightouch.com/api/v1
security: []
paths:
  /destinations/{destinationId}:
    get:
      summary: Get Destination
      description: Retrieve a destination based on its Hightouch ID
      operationId: GetDestination
      parameters:
        - description: The destination's ID
          in: path
          name: destinationId
          required: true
          schema:
            type: number
            format: double
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Destination'
              examples:
                Example 1:
                  value:
                    id: 1
                    name: testdestination
                    slug: testdestination
                    workspaceId: 1
                    createdAt: '2022-02-16T21:37:58.510Z'
                    updatedAt: '2022-02-16T21:37:58.510Z'
                    type: salesforce
                    syncs:
                      - 1
                      - 2
                    configuration:
                      hostname: foo
                      region: bar
        '401':
          description: Unauthorized
        '404':
          description: Not found
      security:
        - bearerAuth: []
components:
  schemas:
    Destination:
      description: >-
        The service receiving your data (e.g. Salesforce, Hubspot, Customer.io,
        or a

        SFTP server)
      properties:
        id:
          type: number
          format: double
          description: The destination's id
        name:
          type: string
          description: The destination's name
        slug:
          type: string
          description: The destination's slug
        workspaceId:
          type: number
          format: double
          description: The id of the workspace that the destination belongs to
        createdAt:
          type: string
          format: date-time
          description: The timestamp when the destination was created
        updatedAt:
          type: string
          format: date-time
          description: The timestamp when the destination was last updated
        type:
          type: string
          description: The destination's type (e.g. salesforce or hubspot).
        configuration:
          properties: {}
          additionalProperties: {}
          type: object
          description: >-
            The destination's configuration. This specifies general metadata
            about destination, like hostname and username.

            Hightouch will be using this configuration to connect to
            destination.


            The schema depends on the destination type.


            Consumers should NOT make assumptions on the contents of the

            configuration. It may change as Hightouch updates its internal code.
        syncs:
          items:
            type: number
            format: double
          type: array
          description: A list of syncs that sync to this destination.
      required:
        - id
        - name
        - slug
        - workspaceId
        - createdAt
        - updatedAt
        - type
        - configuration
        - syncs
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer

````